IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ReservationCofLineExtCalendarXtab]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
  CREATE TABLE [dbo].[ReservationCofLineExtCalendarXtab](
	  [FK_ReservationConfLineNumber] [int] NOT NULL,
	  [FK_ExternalCalendarID] [varchar](800) NOT NULL,
	  [CalendarTypeID] [int] NOT NULL,
    CONSTRAINT [PK_ReservationCofLineExtCalendarXtab] PRIMARY KEY CLUSTERED 
    (
	  [FK_ReservationConfLineNumber] ASC,
	  [FK_ExternalCalendarID] ASC,
	  [CalendarTypeID] ASC
    ) ON [PRIMARY]
  ) ON [PRIMARY]
END


